package com.qianhe.system.domain;

import com.qianhe.common.annotation.Excel;
import com.qianhe.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 商品关联规格对象 water_goods_spe
 *
 * @author qianhe
 * @date 2023-11-23
 */
public class WaterGoodsSpe extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 标题 */
    @Excel(name = "标题")
    private String speTitle;

    /** 规格 */
    @Excel(name = "规格")
    private String spe;

    /** 规格值 */
    @Excel(name = "规格值")
    private String speVal;

    /** 商品id */
    @Excel(name = "商品id")
    private Long goodsId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setSpeTitle(String speTitle)
    {
        this.speTitle = speTitle;
    }

    public String getSpeTitle()
    {
        return speTitle;
    }
    public void setSpe(String spe)
    {
        this.spe = spe;
    }

    public String getSpe()
    {
        return spe;
    }
    public void setSpeVal(String speVal)
    {
        this.speVal = speVal;
    }

    public String getSpeVal()
    {
        return speVal;
    }
    public void setGoodsId(Long goodsId)
    {
        this.goodsId = goodsId;
    }

    public Long getGoodsId()
    {
        return goodsId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("speTitle", getSpeTitle())
            .append("spe", getSpe())
            .append("speVal", getSpeVal())
            .append("goodsId", getGoodsId())
            .append("createTime", getCreateTime())
            .toString();
    }
}
